{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if .Values.serviceAccount.create }}
---
apiVersion: "v1"
kind: "ServiceAccount"
metadata:
  name: {{ include "common.names.fullname" . | quote }}
  namespace: {{ include "common.names.namespace" . | quote }}
  labels: {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.commonLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" . ) | nindent 4 }}
    {{- end }}
    {{- if .Values.serviceAccount.labels }}
    {{- include "common.tplvalues.render" (dict "value" .Values.serviceAccount.labels "context" .) | nindent 4 }}
    {{- end }}
  {{- if or .Values.serviceAccount.annotations .Values.commonAnnotations }}
  annotations:
    {{- if .Values.commonAnnotations }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" . ) | nindent 4 }}
    {{- end }}
    {{- if .Values.serviceAccount.annotations }}
    {{- include "common.tplvalues.render" (dict "value" .Values.serviceAccount.annotations "context" . ) | nindent 4 }}
    {{- end }}
  {{- end }}
automountServiceAccountToken: {{ .Values.serviceAccount.automountServiceAccountToken }}
...
{{- end }}
